Skip to main content
GET
Get agent session details

Authorizations

X-API-KEY
string
header
required

Headers

X-End-User-ID
string | null

Path Parameters

session_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

Unique identifier for the session.

status
string
required

Current status (e.g., 'active', 'completed').

created_at
string<date-time>
required

Creation timestamp.

updated_at
string<date-time>
required

Last update timestamp.

title
string | null

Title of the session.

model_name
string | null

Model being used.

external_user_id
string | null

The external user ID associated with this session, if any.

active_tools
PublicToolListItem · object[]

List of tools enabled for this session.

active_skills
PublicSkillListItem · object[]

List of skills enabled for this session.

documents
PublicSessionDocumentListItem · object[]

List of documents linked to this session.

workspaces
PublicWorkspace · object[]

List of workspaces linked to this session.

mcp_config
Mcp Config · object | null

The currently active MCP configuration for this session.